import request from "@/utils/request";

// 查询作业范围列表
export function getScopeList(params) {
  return request({
    url: "/api/fence/list",
    method: "get",
    params,
  });
}

// 删除作业范围
export function deleteScope(query) {
  return request({
    url: "/api/fence/delete",
    method: "delete",
    data: query,
  });
}

//  新增作业范围
export function addScope(query) {
  return request({
    url: "/api/fence/add",
    method: "post",
    data: query,
  });
}

// 修改作业范围
export function updateScope(query) {
  return request({
    url: "/api/fence/update",
    method: "put",
    data: query,
  });
}

// 绑定车辆下拉
export function getCarList() {
  return request({
    url: "/api/aiot/aiotDropDown",
    method: "get",
  });
}
